/*
 Theme Name:   GeneratePress Child
 Theme URI:    https://generatepress.com
 Description:  Default GeneratePress child theme
 Author:       Tom Usborne
 Author URI:   https://tomusborne.com
 Template:     generatepress
 Version:      0.1
*/


/* MEDIA QUERIES */

@media (max-width: 768px) {
    /* CSS in here for mobile only */
}
@media (min-width: 769px) and (max-width: 1024px) {
    /* CSS in here for tablet only */
}
@media (min-width: 1025px) {
    /* CSS in here for desktop only */
}


/*=====================================================================
GENERAL
======================================================================*/

.bg-blended{
	background-blend-mode: overlay;
}

.no-underline, .no-underline a{
	text-decoration:none;
}

.sticky{
	position:sticky;
}

/*=====================================================================
TABLES
======================================================================*/

.wp-block-table{
	margin-bottom:2rem;
}

.wp-block-table table{
	border-radius:0.75rem;
	border:2px solid var(--black);
	overflow:hidden;
}

.wp-block-table thead{
	background-color:var(--primary-1);
	border-bottom:0px;
}

.wp-block-table thead tr th{
	padding:1rem;
}

.wp-block-table thead tr th,
.wp-block-table thead tr th strong{
	color:var(--white)!important;
}

.wp-block-table tbody{
	background-color:var(--primary-2);
	color:var(--white);
}

.wp-block-table tbody strong,
.wp-block-table tbody b{
	color:var(--white)!important;
}

.wp-block-table td, .wp-block-table th{
	border:1px solid var(--black);
	padding:0.75rem;
}

/*=====================================================================
HEADER / NAV STYLES / NAVIGATION
======================================================================*/

/* STICKY NAV */
/*.sticky-enabled .main-navigation.is_stuck .inside-navigation {
    padding: 5px 40px;
}

.sticky-enabled .main-navigation.is_stuck .inside-navigation .navigation-branding img {
    height: auto;
    max-height: 80px;
}

.main-navigation.is_stuck,
.main-navigation.is_stuck ul ul {
    background-color: var(--brand-blue-dark);
}

.main-navigation.navigation-stick .main-nav ul li a,
.main-navigation.navigation-stick a:not([aria-label*='Close']) {
    color: #fff !important;
}*/

/*===================
GP MEGA MENU
===================*/

@media (min-width: 768px){
    nav .main-nav .mega-menu {
        position: static;
    }

    nav .main-nav .mega-menu > ul {
        position: absolute;
        width: 100%;
        left: 0 !important;
        display: flex;
        flex-wrap: wrap;
    }

    /*nav .main-nav .mega-menu > ul > li > a {
        font-weight: 600;
    }*/

    nav .main-nav .mega-menu>ul>li {
        display: inline-block;
        width: 25%;
        vertical-align: top;
    }

    nav .main-nav .mega-menu.mega-menu-col-2>ul>li {
        width: 50%;
    }

    nav .main-nav .mega-menu.mega-menu-col-3>ul>li {
        width: 33.3333%;
    }

    nav .main-nav .mega-menu.mega-menu-col-5>ul>li {
        width: 20%;
    }

    /*nav .main-nav .mega-menu > ul > li:hover > a,
    nav .main-nav .mega-menu > ul > li:focus > a,
    nav .main-nav .mega-menu > ul > li[class*="current-"] > a,
    nav .main-nav .mega-menu ul ul {
        background-color: transparent !important;
        color: inherit;
    }*/

    nav .main-nav .mega-menu ul .sub-menu {
        position: static;
        display: block;
        opacity: 1;
        visibility: visible;
        width: 100%;
        box-shadow: 0 0 0;
        left: 0;
        height: auto;
        pointer-events: auto;
        transform: scale(1);
    }

    nav .main-nav .mega-menu ul.toggled-on .sub-menu {
        pointer-events: auto;
    }

    nav .main-nav .mega-menu .sub-menu .menu-item-has-children .dropdown-menu-toggle {
        display: none;
    }
	
	nav .main-nav .mega-menu > .sub-menu{
		padding:20px;
		max-width:800px;
	}
	
	nav .main-nav .mega-menu > .sub-menu > li{
		border:0;
	}
	
	/*nav .main-nav .mega-menu > .sub-menu > li:hover > a,
	nav .main-nav .mega-menu > ul > li[class*="current-"]{
		color:#fff!important;
	}*/
	
	nav .main-nav .mega-menu .sub-menu .sub-menu{
		border:0;
		box-shadow:none!important;
	}
	
	nav .main-nav .mega-menu .sub-menu .sub-menu li{
		border:0;
	}
	
	nav .main-nav .mega-menu .sub-menu li a{
		display:flex;
	}
	
	nav .main-nav .mega-menu .sub-menu li a:before{
		content: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' height='1em' viewBox='0 0 320 512'%3E%3Cpath fill='%23447ec0' d='M310.6 233.4c12.5 12.5 12.5 32.8 0 45.3l-192 192c-12.5 12.5-32.8 12.5-45.3 0s-12.5-32.8 0-45.3L242.7 256 73.4 86.6c-12.5-12.5-12.5-32.8 0-45.3s32.8-12.5 45.3 0l192 192z'/%3E%3C/svg%3E");
		display: block;
		transform: scale(0.6);
		margin:2px 15px 0 0;
	}
	
	nav .main-nav .mega-menu ul li a{
		padding:10px 20px;
	}
}


/*=====================================================================
MENUS
======================================================================*/

.footer-menu ul li, 
.sidebar-menu ul li{
	display:block!important;
	width:100%;
	padding-bottom:0.5rem;
	margin-bottom:0.5rem;
	border-bottom:1px dotted #ccc;
	padding-right:0!important;
}

.footer-menu ul li:last-child, 
.sidebar-menu ul li:last-child{
	border:none;
	padding-bottom:0;
	margin-bottom:0;
}

.footer-menu ul li a, 
.sidebar-menu ul li a{
	font-size:1rem;
	color:var(--heading);
	text-decoration:none;
	font-weight:500;
	padding-left:2rem;
	position:relative;
	display:flex;
	align-content: stretch;
}

.footer-menu ul li a:hover, 
.footer-menu ul li a:focus,
.sidebar-menu ul li a:hover,
.sidebar-menu ul li a:focus{
	color:var(--secondary);
}

.footer-menu ul li a::before,
.sidebar-menu ul li a::before{
	width: 10px;
	height: 15px;
	position:absolute;
	left:0;
	content: '';
	-webkit-mask: url(/wp-content/uploads/2024/12/caret-right-solid.svg) no-repeat 50% 50%;
	mask: url(/wp-content/uploads/2024/12/caret-right-solid.svg) no-repeat 50% 50%;
	-webkit-mask-size: cover;
	mask-size: cover;
	background-color:var(--secondary-1);
	align-self:center;
}

.footer-large-cta a{
	font-weight:bold;
}

.service-grid ul{
	display: grid;
	grid-template-areas: "column column"; /* 3 columns */
	grid-template-columns: 50%; /* 2 sizes */
	grid-column-gap:1rem;
	grid-row-gap:0.5rem;
}

@media (max-width: 767px) {
	.service-grid ul{
		display: block;
	}
}

/*=====================================================================
PROCEDURES
======================================================================*/

/** PROCEDURES TYPOGRAPHY **/

.page-sidebar .entry-content a:not(.gb-button),
.single-post .dynamic-entry-content a:not(.gb-button){
	font-weight:600;
	text-decoration:none;
	border-bottom:1px dashed var(--border-light);
}

.page-sidebar .entry-content h2,
.single-post .dynamic-entry-content h2/*,
body.wp-admin :where(.editor-styles-wrapper) h2*/{
	margin-top:3.5rem;
	padding-top:3.5rem;
	margin-bottom:2.5rem;
	border-top:1px solid var(--border-light);
	position:relative;
	display:flex;
	line-height:1.1em;
}

.page-sidebar .entry-content h2::before,
.single-post .dynamic-entry-content h2::before{
	display:block;
	width: 1rem;
	height: 1rem;
	content: '';
	-webkit-mask: url(/wp-content/uploads/2024/12/circle-solid.svg) no-repeat 50% 50%;
	mask: url(/wp-content/uploads/2024/12/circle-solid.svg) no-repeat 50% 50%;
	-webkit-mask-size: cover;
	mask-size: cover;
	vertical-align:middle;
	margin-right:1rem;
	background-color:var(--secondary-1);
	padding:10px;
	margin-top:1rem;
}

.page-sidebar .entry-content h2:first-child,
.single-post .dynamic-entry-content h2:first-child{
	margin-top:0;
	padding-top:0;
	border-top:none;
}

.page-sidebar .entry-content h3,
.single-post .dynamic-entry-content h3{
	margin-top:2.5rem;
	margin-bottom:2rem;
	color:var(--primary-2);
	font-weight:600;
}

@media (max-width: 768px) {
	.page-sidebar .entry-content h2,
	.single-post .dynamic-entry-content h2/*,
	body.wp-admin :where(.editor-styles-wrapper) h2*/{
		margin-top:2rem;
		padding-top:2rem;
		margin-bottom:1rem;
		line-height:1.3em;
	}
	.page-sidebar .entry-content h3,
	.single-post .dynamic-entry-content h3{
		margin-top:2rem;
		margin-bottom:1.2rem;
	}
	.page-sidebar .entry-content h2::before,
	.single-post .dynamic-entry-content h2::before{
		margin-top:0.5rem;
		display:none;
	}
}

/*body.wp-admin :where(.editor-styles-wrapper) h3{
	margin-top:2.5rem;
	margin-bottom:2rem;
}*/

.page-sidebar .entry-content b,
.single-post .dynamic-entry-content b,
.page-sidebar .entry-content strong,
.single-post .dynamic-entry-content strong{
	color:var(--headings);
}

.page-sidebar .entry-content a b,
.single-post .dynamic-entry-content a b,
.page-sidebar .entry-content a strong,
.single-post .dynamic-entry-content a strong{
	color:var(--secondary-1);
}

/** OL LIST **/

.page-sidebar ol li,
.single-post .dynamic-entry-content ol li{
	background-color:var(--bg-secondary);
	padding:1.5rem;
	border-radius:0.75rem;
	color:var(--primary);
	display: block;
	position: relative;
	counter-increment: inst;
	padding-left:4rem;
	margin-bottom:0.75rem;
}

.page-sidebar .entry-content ol,
.single-post .dynamic-entry-content ol{
	clear: both;
	list-style: none;
	padding:0;
	margin:0 0 3rem 0;
}

.page-sidebar ol li::before,
.single-post .dynamic-entry-content li::before{
	content: counter(inst);
	color: var(--white);
	font-weight: 700;
	border-radius: 200px;
	font-size: 1rem;
	text-align: center;
	padding-top: 0;
	height: 35px;
	width: 35px;
	line-height: 35px;
	position: absolute;
    margin: auto 0;
    left: 1rem;
	background-color:var(--primary-2);
}

/** UL LIST **/

.page-sidebar .entry-content ul li::before,
.single-post .dynamic-entry-content ul li::before{
	background-color:var(--secondary);
}

.page-sidebar .entry-content ul,
.single-post .dynamic-entry-content ul{
	clear: both;
	list-style: none;
	padding:0;
	margin:0 0 3rem 0;
	background-color:var(--bg-secondary);
	padding:2rem;
	border-radius: 0.75rem;
}

.page-sidebar .entry-content ul li,
.single-post .dynamic-entry-content ul li{
	display: block;
	position: relative;
	padding:0 0 1rem 2.5rem;
	margin:1rem 0 0 0;
	font-weight:500;
	border-bottom:1px solid var(--border-light);
}

@media (max-width: 768px) {
	.page-sidebar .entry-content ul li,
	.single-post .dynamic-entry-content ul li{
		padding:0 0 1rem 1.5rem;
	}
	.page-sidebar .entry-content ul,
	.single-post .dynamic-entry-content ul{
		padding:1.5rem;
	}
}

.page-sidebar .entry-content ul li:first-child,
.single-post .dynamic-entry-content ul li:first-child{
	margin:0;
}

.page-sidebar .entry-content ul li:last-child,
.single-post .dynamic-entry-content ul li:last-child{
	padding-bottom:0;
	border:none;
}

.page-sidebar .entry-content ul li::before,
.single-post .dynamic-entry-content ul li::before{
	width: 10px;
	height: 15px;
	position:absolute;
	left:0;
	content: '';
	-webkit-mask: url(/wp-content/uploads/2024/12/caret-right-solid.svg) no-repeat 50% 50%;
	mask: url(/wp-content/uploads/2024/12/caret-right-solid.svg) no-repeat 50% 50%;
	-webkit-mask-size: cover;
	mask-size: cover;
	vertical-align:middle;
	top:0.4rem;
	background-color:var(--secondary-1);
}

/** CONTENT AREA **/


@media (min-width: 1025px) {
    .separate-containers .inside-article{
		padding:4rem 2.5rem 4rem 4rem;
	}
}

/** LEFT SIDEBAR SERVICES **/

body.page-sidebar{
background: rgb(247,248,253);
background: linear-gradient(90deg, #f2f4fa 30%, #ffffff 30%);
}

.is-left-sidebar{
	background:#f2f4fa;
	border-right:1px solid var(--border-light);
}

.inside-left-sidebar{
	height:100%;
	padding-right:3.75rem;
	padding-left:2rem;
}

.separate-containers .inside-left-sidebar, .separate-containers .inside-left-sidebar{
	margin:0;
	padding-top:40px;
	padding-bottom:40px;
}

.separate-containers.left-sidebar .site-main{
	margin-top:0;
	margin-bottom:0;
}

.inside-left-sidebar .sticky{
	top:150px;
}

@media (min-width: 769px) and (max-width: 1000px) {
    .site-content {
        flex-direction: column;
    }
	
	.site-content .content-area, .is-left-sidebar {
        width: 100%;
    }
	
	body.left-sidebar .inside-article {
        padding: 2rem 4rem 0 4rem;
    }
	
	.site-content .content-area, .is-left-sidebar {
        width: 100%;
    }
	
	body.left-sidebar .inside-article, .inside-left-sidebar {
        padding-right: 4rem;
        padding-left: 4rem;
    }
	
	.separate-containers.left-sidebar .site-main{
		margin:0;
	}
}

@media (max-width: 768px) {
    body.left-sidebar.separate-containers .inside-article {
        padding: 2.5rem 1.875rem;
    }
	body.left-sidebar.separate-containers .inside-left-sidebar{
		padding:2.5rem 0;
	}
}

/*=====================================================================
BLOG STYLING & BLOG CONTENT STYLING
======================================================================*/

/*.single-post article h2, 
.single-post article h3, 
.single-post article h4{
	margin-top:3.5rem;
	margin-bottom:2rem;
	padding-bottom:1rem;
}

.single-post article h2:after{
	content:"";
	display:block;
	background-color: var(--primary);
	height:6px;
	width:100px;
	margin-top:2rem;
}

.single-post article h2{
	padding-bottom:2rem;
	margin-bottom:1rem;
}

.single-post article h3, 
.single-post article h4{
	margin-top:3rem;
	margin-bottom:1rem;
	border-bottom:0;
}

.single-post article ul li{
    background: url("data:image/svg+xml,%3Csvg version='1.1' xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink' width='16' height='16' viewBox='0 0 16 16'%3E%3Cpath fill='%239da4a6' d='M9.707 13.707l5-5c0.391-0.39 0.391-1.024 0-1.414l-5-5c-0.391-0.391-1.024-0.391-1.414 0s-0.391 1.024 0 1.414l3.293 3.293h-9.586c-0.552 0-1 0.448-1 1s0.448 1 1 1h9.586l-3.293 3.293c-0.195 0.195-0.293 0.451-0.293 0.707s0.098 0.512 0.293 0.707c0.391 0.391 1.024 0.391 1.414 0z'%3E%3C/path%3E%3C/svg%3E%0A") no-repeat left 6px;
    list-style-type: none;
    padding-left: 40px;
    background-size: 16px auto;
}

.single-post article ul li:last-child, 
.single-post article ol li:last-child{
	margin-bottom:0;
	padding-bottom:0;
}

.single-post article ul,
.single-post article ol{
    padding: 30px 30px 30px 30px;
    background: #f9f9f9;
    margin-left: 0;
    border-radius: 10px;
}

.single-post article ul > li{
	margin-bottom:1rem;
}

.single-post article ul, 
.single-post article ol{
	padding-left:1rem;
	margin-left:0;
}

.single-post article ol{
	padding-left:2.5rem;
}

.single-post article ol li{
	margin-bottom:1.5rem;
	padding-left:2rem;
}*/

.single-post article .wp-block-list .wp-block-list{
	padding:1rem 0 0 0;
	margin:0;
}

/* RANK MATH BREADCRUMBS */

.rank-math-breadcrumb a{
	text-decoration:none;
	color:var(--white);
	font-weight:600;
}

.rank-math-breadcrumb .separator{
	color:rgba(255,255,255,0.4);
}

.rank-math-breadcrumb{
	line-height:40px;
}
.single-post article .rank-math-breadcrumb p{
	line-height:1.6em;
}
.single-post article .rank-math-breadcrumb a{
	font-weight:bold;
	color:var(--primary-1);
}
.single-post article .rank-math-breadcrumb .last{
	color: var(--paragraph);
}

.single-post article .rank-math-breadcrumb .separator{
	color: var(--secondary-1);
}

/* RANK MATH FAQ BLOG */

.single-post article .rank-math-list-item{
	padding:2rem;
	border:1px solid #ccc;
	margin-bottom:1rem;
	border-radius:8px;
}

.single-post article .rank-math-list-item h3{
	margin-top:0;
	padding-top:0;
}

.single-post article .rank-math-list-item:last-child{
	margin-bottom:0;
}

/* RANK MATH TOC */

#rank-math-toc h2, 
.wp-block-rank-math-toc-block h2{
	font-size:2rem;
	margin-bottom:2.5rem;
	padding-bottom:1.5rem;
	position:relative;
	padding-left:3rem;
	border-bottom:1px solid var(--border-light);
}

#rank-math-toc h2:before, 
.wp-block-rank-math-toc-block h2:before{
	width: 2rem;
	height: 2rem;
	position:absolute;
	left:0;
	content: '';
	-webkit-mask: url(/wp-content/uploads/2025/01/table-tree-regular.svg) no-repeat 50% 50%;
	mask: url(/wp-content/uploads/2025/01/table-tree-regular.svg) no-repeat 50% 50%;
	-webkit-mask-size: cover;
	mask-size: cover;
	vertical-align:middle;
	top:0.2rem;
	background-color:var(--secondary-1);
	margin-top:0;
}

#rank-math-toc ul, 
.wp-block-rank-math-toc-block ul{
	border:0;
	background:none;
	margin-bottom:0;
	padding:0;
	margin-left:0;
}

#rank-math-toc ul:first-child, 
.wp-block-rank-math-toc-block ul:first-child{
	padding-left:0;
}

#rank-math-toc ul ul, 
.wp-block-rank-math-toc-block ul ul{
	padding-top:1rem;
	padding-bottom:0;
	padding-left:0;
}

#rank-math-toc ul li, 
.wp-block-rank-math-toc-block ul li{
	border-bottom:0;
	padding-bottom:0;
	background:none!important;
}

#rank-math-toc ul li a{
	color:var(--primary-1);
	padding-bottom:0.25rem;
}

#rank-math-toc ul li a:hover{
	color:var(--secondary-1);
}

#rank-math-toc ul li:before, 
.wp-block-rank-math-toc-block ul li:before{
	-webkit-mask: url(/wp-content/uploads/2024/12/circle-solid.svg) no-repeat 50% 50%;
	mask: url(/wp-content/uploads/2024/12/circle-solid.svg) no-repeat 50% 50%;
	background:var(--primary-1);
    width: 0.75rem;
    height: 0.75rem;
    top: 0.6rem;
}

#rank-math-toc ul li:hover:before, 
.wp-block-rank-math-toc-block ul li:hover:before{
	background:var(--secondary-1);
}

@media (max-width: 768px) {
	#rank-math-toc ul ul,
	.wp-block-rank-math-toc-block ul ul{
		padding-top:1rem;
		padding-bottom:0;
		padding-left:0;
		margin-left:-1rem;
	}
	#rank-math-toc h2, 
	.wp-block-rank-math-toc-block h2{
		font-size:1.5rem;
		padding-left:2.5rem;
		margin-bottom:1.5rem;
	}
	#rank-math-toc h2:before, 
	.wp-block-rank-math-toc-block h2:before{
		width:1.5rem;
		height:1.5rem;
		display:block;
	}
}
	
#rank-math-toc ul ul li:before, 
.wp-block-rank-math-toc-block ul ul li:before{
	-webkit-mask: url(/wp-content/uploads/2025/01/dash-solid.svg) no-repeat 50% 50%;
	mask: url(/wp-content/uploads/2025/01/dash-solid.svg) no-repeat 50% 50%;
	background:var(--secondary-1);
}

#rank-math-toc ul ul li:hover:before, 
.wp-block-rank-math-toc-block ul ul li:hover:before{
	background:var(--secondary-1);
}

#rank-math-toc ul ul li, 
.wp-block-rank-math-toc-block ul ul li{
	padding-left:1.5rem;
}

#rank-math-toc ul li:last-child, 
.wp-block-rank-math-toc-block ul li:last-child{
	margin-bottom:0;
}

/*=====================================================================
FOOTER
======================================================================*/

/* FIXED CTA ON MOBILE */
.footer-cta {
    position: fixed;
    bottom: 0;
    width: 100%;
    z-index: 9;
}

/*=====================================================================
PLUGINS
======================================================================*/

/*===================
GRAVITY FORMS
===================*/

.gform-theme--foundation .gform_fields{
	row-gap:1.875rem;
}

/*===================
RANK MATH FAQ
===================*/

.rank-math-list-item{
	background-color:var(--bg-secondary);
	padding:2rem;
	border-radius:1rem;
	margin-bottom:1.5rem;
}

.rank-math-list-item h3{
	margin-top:0!important;
	padding-top:0!important;
	margin-bottom:1.5rem!important;
	letter-spacing: 0.02rem;
	font-size:1.5rem;
	font-weight:500;
	color:var(--primary-1);
}

.rank-math-list-item p:last-child{
	margin-bottom:0;
	padding-bottom:0;
}

/*===================
RANK MATH BREADCRUMBS
===================*/

.rank-math-breadcrumb{
	font-size:0.85rem;
}

.rank-math-breadcrumb .last{
	color:rgba(255,255,255,0.7);
}

/*===================
AllAccessible
===================*/


@media (max-width: 768px) {
    .accessibility-trigger-button.bottom-right {
		bottom:65px!important;
	}
	.accessibility-trigger-button button span{
		background:var(--btn-primary-hover)!important;
	}
}


/* VINCERE CUSTOM CSS */
/* Header */
header.sticky-header .cos-main-nav {
	position: fixed;
    width: 100%;
    top: 0;
}

body.admin-bar header.sticky-header .cos-main-nav {
    top: 32px;
}

nav.cos-main-menu {
	width: 100%;
	position: static;
}

nav.cos-main-menu .cos-main-menu {
	justify-content: space-between;
	position: static;
}

nav.cos-main-menu .cos-main-menu > .wp-block-navigation-item.cos-mega-menu {
	position: static;
}

nav.cos-main-menu .cos-main-menu > .wp-block-navigation-item > a {
	font-weight: 600;
	padding: 17.5px 0;
}

nav.cos-main-menu .cos-main-menu > .wp-block-navigation-item.cos-mega-menu > ul.cos-mega-menu {
	width: 100%;
    position: absolute;
    left: 50%;
    background: #272222;
    display: flex;
    max-width: 1290px;
    flex-direction: row;
    justify-content: center;
    gap: 48px;
    transform: translateX(-50%);
    border: none;
    top: 64px;
    padding: 32px 2.5rem 64px 2.5rem;
}

nav.cos-main-menu .cos-main-menu > .wp-block-navigation-item.cos-mega-menu>ul.cos-mega-menu::before {
    content: "";
    position: absolute;
    top: -1px;
    left: revert-layer;
    background: #272222;
    width: 100vw;
    height: calc(100% + 1px);
	border-top: 1px solid #453E3E;
}



nav.cos-main-menu .cos-main-menu>.wp-block-navigation-item.cos-mega-menu>ul.cos-mega-menu .cos-mega-menu__group {
    flex: 1 0;
	position: relative;
	flex-direction: column;
    align-items: flex-start;
}

nav.cos-main-menu .cos-main-menu>.wp-block-navigation-item.cos-mega-menu>ul.cos-mega-menu .cos-mega-menu__group > .wp-block-navigation-submenu {
	height: auto;
    width: 100%;
    left: 0;
	background: unset;
    margin-top: 1rem;
	opacity: 1;
    visibility: visible;
	border: unset;
    outline: none;
	top: 0;
	gap: 2rem;
}

nav.cos-main-menu .cos-main-menu>.wp-block-navigation-item.cos-mega-menu>ul.cos-mega-menu .cos-mega-menu__group > .wp-block-navigation-submenu .wp-block-navigation-item .wp-block-navigation-item__content {
	font-size: 1rem;
	font-weight: 600;
    padding: 0;
}

nav.cos-main-menu .cos-main-menu>.wp-block-navigation-item.cos-mega-menu>ul.cos-mega-menu .cos-mega-menu__group > a {
	padding: 0;
	padding-bottom: 16px;
	font-size: 20px;
	font-weight: 600;
	color: #A3864F;
	border-bottom: 1px solid #453E3E;
	display: block;
    width: 100%;
    flex-shrink: 0;
    flex-grow: 0;
	pointer-events: none;
}

nav.cos-main-menu .cos-main-menu>.wp-block-navigation-item.cos-mega-menu>ul.cos-mega-menu .cos-mega-menu__group > button {
	display: none;
}

nav.cos-main-menu .cos-main-menu > .wp-block-navigation-item:not(.cos-mega-menu) .wp-block-navigation-submenu {
	background: var(--headings);
	border: unset;
	border-top: 1px solid #453E3E;
	width:280px;
}

nav.cos-main-menu .cos-main-menu > .wp-block-navigation-item:not(.cos-mega-menu) .wp-block-navigation-submenu .wp-block-navigation-item .wp-block-navigation-item__content {
	font-weight: 600;
	padding: 18.5px 24px;
}

nav.cos-main-menu .cos-main-menu > .wp-block-navigation-item:not(.cos-mega-menu) .wp-block-navigation-submenu .wp-block-navigation-item .wp-block-navigation-item__content:hover,
nav.cos-main-menu .cos-main-menu>.wp-block-navigation-item.cos-mega-menu>ul.cos-mega-menu .cos-mega-menu__group > .wp-block-navigation-submenu .wp-block-navigation-item .wp-block-navigation-item__content:hover {
	color: var(--secondary-1);
}

@media (max-width: 1676px) {
	nav.cos-main-menu .cos-main-menu > .wp-block-navigation-item:last-child:not(.cos-mega-menu) .wp-block-navigation-submenu{
		right:0;
		left:unset;
	}
}

#generate-slideout-menu > .inside-navigation {
	align-items: flex-end;
}

#generate-slideout-menu.do-overlay .slideout-menu li, .slideout-navigation.do-overlay .inside-navigation{
	text-align:left!important;
}

header {
	transition: all .5s ease-in-out;
}

@media (max-width: 1024px) {
	header.sticky-header {
		position: sticky;
		top: 0;
		box-shadow: 0px 0px 10px 0px rgba(0, 0, 0, .25);
	}
	
	body.admin-bar header.sticky-header {
		top: 46px;
	}
}

/* Footer */
.cos-footer-quicklink ul {
	gap: 24px;
}

.wp-block-navigation.cos-footer-menu-tnc ul {
	gap: 38px;
}

.wp-block-navigation.cos-footer-menu-tnc ul li::after {
	content: '';
	display: block;
	width: 6px;
	height: 6px;
	border-radius: 50%;
	background-color: #272222;
	position: absolute;
	top: 50%;
	right: -19px;
    transform: translateY(-50%);
}

.wp-block-navigation.cos-footer-menu-tnc ul li:last-child:after {
	content: none;
}

.cos-footer-quicklink ul li a,
.cos-footer-menu-tnc ul li a {
	font-size: 1rem;
}

.wp-block-navigation.cos-footer-quicklink ul li a:hover,
.wp-block-navigation.cos-footer-menu-tnc ul li a:hover {
	color: var(--secondary-1);
}

/* HOME */
.cos-home-banner figure {
	position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

.cos-home-banner figure img {
    width: 100%;
    height: 100%;
	object-fit: cover;
	mix-blend-mode: multiply;
    filter: grayscale(1);
}

.cos-home-banner > .cos-section::before {
	mix-blend-mode: multiply;
    opacity: .37;
}

.cos-bg-texture::before {
    mix-blend-mode: multiply;
    opacity: .37;
}

/* Home Service Item */
.cos-service-item-wrapper {
	transition: all .25s ease-in-out;
	z-index: 1;
}

.cos-service-item-wrapper:hover {
	z-index: 10;
}

.cos-service-item-wrapper .cos-service-item-inner {
	position: absolute;
}

.cos-service-item-wrapper .cos-service-item-inner .cos-service-item__detail {
	visibility: hidden;
    opacity: 0;
    height: 0;
	transition: opacity 0.3s, height 0.3s;
}

.cos-service-item-wrapper:hover .cos-service-item-inner {
	background-color: #453E3E;
	box-shadow: 0px 7px 40px 0px #00000080;
}

.cos-service-item-wrapper:hover .cos-service-item-inner .cos-service-item__detail {
	visibility: visible;
	opacity: 1;
	height: auto;
	margin-top: 1rem;
}

@media (max-width: 1024px) {
	.cos-service-item-wrapper .cos-service-item-inner {
		position: relative;
	}
	
	.cos-service-item-wrapper .cos-service-item-inner .cos-service-item__detail {
		visibility: visible;
		opacity: 1;
		height: auto;
		margin-top: 1rem;
	}
}

.cos-cta-section::before {
	mix-blend-mode: hard-light;
	filter: grayscale(1);
}

.cos-cta-section::after {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgb(0 0 0 / 60%);
}

/*------------------------------------------
INFINITE SCROLL AJAX (BLOG) - DO NOT DELETE
------------------------------------------*/

/* DISPLAYS MESSAGE WHEN ALL POSTS HAVE BEEN LOADED */
.page-load-status {
  opacity: 0; /* hidden by default */
  padding-top: 20px;
  border-top: 1px solid #DDD;
  text-align: center;
  color: #777;
}

/* LOADING ANIMATION 1 */
.loader-ellips {
  font-size: 20px; /* change size here */
  position: relative;
  width: 4em;
  height: 1em;
  margin: 10px auto;
}

.loader-ellips__dot {
  display: block;
  width: 1em;
  height: 1em;
  border-radius: 0.5em;
  background: #555; /* change color here */
  position: absolute;
  animation-duration: 0.5s;
  animation-timing-function: ease;
  animation-iteration-count: infinite;
}

.loader-ellips__dot:nth-child(1),
.loader-ellips__dot:nth-child(2) {
  left: 0;
}
.loader-ellips__dot:nth-child(3) { left: 1.5em; }
.loader-ellips__dot:nth-child(4) { left: 3em; }

@keyframes reveal {
  from { transform: scale(0.001); }
  to { transform: scale(1); }
}

@keyframes slide {
  to { transform: translateX(1.5em) }
}

.loader-ellips__dot:nth-child(1) {
  animation-name: reveal;
}

.loader-ellips__dot:nth-child(2),
.loader-ellips__dot:nth-child(3) {
  animation-name: slide;
}

.loader-ellips__dot:nth-child(4) {
  animation-name: reveal;
  animation-direction: reverse;
}

/* LOADING ANIMATION 2 */
/* HTML: <div class="loader"></div> */

.loader{
	margin:20px auto 0 auto;
}

.loader {
  width: 45px;
  aspect-ratio: .75;
  --c: no-repeat linear-gradient(#000 0 0);
  background: 
    var(--c) 0%   50%,
    var(--c) 50%  50%,
    var(--c) 100% 50%;
  animation: l7 1s infinite linear alternate;
}

@keyframes l7 {
  0%  {background-size: 20% 50% ,20% 50% ,20% 50% }
  20% {background-size: 20% 20% ,20% 50% ,20% 50% }
  40% {background-size: 20% 100%,20% 20% ,20% 50% }
  60% {background-size: 20% 50% ,20% 100%,20% 20% }
  80% {background-size: 20% 50% ,20% 50% ,20% 100%}
  100%{background-size: 20% 50% ,20% 50% ,20% 50% }
}

/*===================
BLOG
===================*/
.search-box {
	display: flex;
    width: 30%;
}

.search-box input {
	border: none;
}

.search-box .wp-block-search__inside-wrapper,
.search-box .wp-block-search__button.has-icon {
	border-radius: 0;
}

.modified-date svg {
	transform: scale(1.30);
}

@media (max-width: 1024px) {
	.search-box .wp-block-search__inside-wrapper,
	.search-box {
		width: 100% !important;
	}
}
